Need help with openwrt-v2ray?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

kuoruan
1.4K Stars 347 Forks MIT License 187 Commits 23 Opened issues

Description

V2Ray for OpenWrt

Services available

!
?

Need anything else?

Contributors list

# 16,711
Lua
Shell
luci
bbr
184 commits
# 28,848
C
Shell
Ada
openwrt...
1 commit

openwrt-v2ray

V2Ray for OpenWrt

OpenWrt/LEDE 上可用的 V2Ray

Release Version Latest Release Download Releases Download

For luci-app-v2ray, please head to kuoruan/luci-app-v2ray

Install via OPKG

  1. Add new opkg key:
wget -O kuoruan-public.key http://openwrt.kuoruan.net/packages/public.key
opkg-key add kuoruan-public.key
  1. Add opkg repository:
echo "src/gz kuoruan_packages http://openwrt.kuoruan.net/packages/releases/$(. /etc/openwrt_release ; echo $DISTRIB_ARCH)" \
  >> /etc/opkg/customfeeds.conf

Replace

http://
with
https://
if you like.
  1. Install package:
opkg update
opkg install v2ray-core

For minimal package:

opkg update
opkg install v2ray-core-mini
  1. Upgrade package:
opkg update
opkg upgrade v2ray-core

Manual Install

  • Download pre build ipk file from releases

  • Upload file to your router, install it with ssh command.

opkg install v2ray-core*.ipk

Depends:

  • ca-certificates

Bin files will install in

/usr/bin
.

Custom build

  1. Use the latest OpenWrt SDK or with source code in master branch (requires golang modules support, commit openwrt/[email protected] and later).

  2. Enter root directory of SDK, then download the Makefile:

git clone https://github.com/kuoruan/openwrt-v2ray.git package/v2ray-core

For Chinese users,

export GOPROXY=https://goproxy.io
before build.

Start build:

./scripts/feeds update -a
./scripts/feeds install -a

make menuconfig

Network ---> Project V ---> v2ray-core

Network ---> Project V ---> v2ray-core-mini

make package/v2ray-core/{clean,compile} V=s

  • You can custom the features in
    V2Ray Mini Configuration
    option.
  1. UPX Compress

If you want to build with UPX compress, the UPX package is required.

git clone -b master --depth 1 https://github.com/kuoruan/openwrt-upx.git package/openwrt-upx

Uninstall

opkg remove v2ray-core # v2ray-core-mini

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.